
Core - Bug # 61529

Status: Resolved Priority: Must have
Author: Mathias Brodala Category: Fluid
Created: 2014-09-11 Assigned To: Mathias Brodala
Updated: 2014-10-24 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: Cannot ensure checkbox for multiple values
Description

In TYPO3.Fluid the <f:form.checkbox/> viewhelper has a multiple attribute to enforce field value processing as array. This is not
possible with the CMS Fluid and only marked as @todo.

This should be fixed by adding the attribute and respecting it the same way as TYPO3.Fluid.

Related issues:
related to TYPO3.Fluid - Bug # 8854: form.checkbox ViewHelper throws Exceptio... Resolved 2010-07-14
duplicated by Core - Bug # 59610: Implement multiple checkbox in CheckboxView... Resolved 2014-06-16

Associated revisions
Revision ad2cfb7d - 2014-10-24 23:15 - Stefan Froemken

[FEATURE] Add multiple parameter in f:form.checkbox

This patch introduce the multiple parameter
for f:form.checkbox ViewHelper of fluid.

Resolves: #61529
Releases: master,6.2
Change-Id: Ic02b9aaeb19f09be438c18212c5b2f5842bf7468
Reviewed-on: http://review.typo3.org/33257
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>
Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>
Reviewed-by: Ernesto Baschny <ernst@cron-it.de>

Revision 33aaf53c - 2014-10-24 23:16 - Stefan Froemken

[FEATURE] Add multiple parameter in f:form.checkbox

This patch introduce the multiple parameter
for f:form.checkbox ViewHelper of fluid.

Resolves: #61529
Releases: master,6.2
Change-Id: Ic02b9aaeb19f09be438c18212c5b2f5842bf7468
Reviewed-on: http://review.typo3.org/33257
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>
Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>
Reviewed-by: Ernesto Baschny <ernst@cron-it.de>
(cherry picked from commit ad2cfb7d909b7b7d0d84de3630047c2f6d7833e0)
Reviewed-on: http://review.typo3.org/33514
Tested-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

History
#1 - 2014-09-11 12:17 - Mathias Brodala
- File fluid-checkbox-multiple.patch added
- Assigned To set to Mathias Brodala

#2 - 2014-10-11 01:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33257

#3 - 2014-10-11 01:22 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33257

#4 - 2014-10-13 09:43 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33257

#5 - 2014-10-13 17:52 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33257

#6 - 2014-10-24 23:16 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33514

#7 - 2014-10-24 23:30 - Stefan Froemken
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:ad2cfb7d909b7b7d0d84de3630047c2f6d7833e0.

Files
fluid-checkbox-multiple.patch 1.4 kB 2014-09-11 Mathias Brodala
